#!groovy
def appName = "cursusservice"
def project = "kzastudent-04"
def majorVersion = "1"
def imageVersion = ""

pipeline {
    agent {
        label "maven"
    }
    options {
        skipDefaultCheckout()
        buildDiscarder logRotator(artifactDaysToKeepStr: '', artifactNumToKeepStr: '', daysToKeepStr: '', numToKeepStr: '5')
    }

    stages {
        stage('Checkout de code') {
            steps {
                checkoutSourceCode()
            }
        }
        stage('Build') {
            steps {
                buildApplication()
            }
        }
        stage('Test') {
            steps {
                unitTestApplication()
            }
        }
        stage ('Image') {
            steps {
                buildOpenshiftImage(
                    project: 'kzastudent-04',
                    appName: 'cursusservice'
                )
            }
        }
        stage('Deploy') {
            steps {
                triggerDeployment(
                    project: 'kzastudent-04',
                    appName: 'cursusservice'
                )
            }
        }
    }
}